%define upstream_name    Inline
%define upstream_version 0.53

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Write Perl subroutines in other programming languages
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Inline/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper) >= 2.90.0
BuildRequires: perl(Digest::MD5) >= 2.90.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(Parse::RecDescent) >= 1.800.0
BuildRequires: perl(Test::Warn) >= 0.230.0
BuildRequires: perl-devel
Requires:   perl(Parse::RecDescent)
%description
The Inline module allows you to put source code from other programming
languages directly "inline" in a Perl script or module. The code is
automatically compiled as needed, and then loaded for immediate access
from Perl.

Inline saves you from the hassle of having to write and compile your
own glue code using facilities like XS or SWIG. Simply type the code
where you want it and run your Perl as normal. All the hairy details
are handled for you. The compilation and installation of your code
chunks all happen transparently; all you will notice is the delay of
compilation on the first run.

The Inline code only gets compiled the first time you run it (or
whenever it is modified) so you only take the performance hit
once. Code that is Inlined into distributed modules (like on the CPAN)
will get compiled when the module is installed, so the end user will
never notice the compilation time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc C Changes MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Inline*
%{perl_vendorlib}/auto/Inline*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.530.0-2.mga4
+ Revision: 525986
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 0.530.0-1.mga4
+ Revision: 435036
- update to 0.53

* Wed May 29 2013 tv <tv> 0.510.0-3.mga4
+ Revision: 432703
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.510.0-2.mga3
+ Revision: 368743
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.510.0-1.mga3
+ Revision: 306140
- update to 0.51

* Thu Feb 23 2012 jquelin <jquelin> 0.500.0-1.mga2
+ Revision: 212988
- update to 0.50

* Sat Dec 10 2011 kharec <kharec> 0.490.0-1.mga2
+ Revision: 179892
- update to 0.49

  + jquelin <jquelin>
    - remove parallel tests
    - update buildrequires:
    - update to 0.48

* Thu Feb 17 2011 dmorgan <dmorgan> 0.470.0-1.mga1
+ Revision: 52931
- New version

* Fri Jan 21 2011 jquelin <jquelin> 0.460.0-1.mga1
+ Revision: 30612
- mageia rebuild
- imported package perl-Inline


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.460.0-1mdv2010.1
+ Revision: 504495
- update to 0.46

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.450.0-1mdv2010.0
+ Revision: 407071
- rebuild using %%perl_convert_version

* Sun Nov 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.45-1mdv2009.1
+ Revision: 305992
- new version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.44-11mdv2009.0
+ Revision: 223795
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.44-10mdv2008.1
+ Revision: 180415
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 29 2007 Olivier Thauvin <nanardon@mandriva.org> 0.44-9mdv2008.0
+ Revision: 19148
- rebuild


* Fri Feb 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.44-8mdk
- Rebuild
- Add tests

* Tue Jan 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.44-7mdk
- Require Parse::RecDescent (for Inline::C)

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.44-6mdk
- Rebuild for new perl

* Mon Aug 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.44-5mdk
- Rebuild for new perl

* Fri Sep 26 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.44-4mdk
- use %%perl_vendorlib

* Thu Aug 14 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.44-3mdk
- rebuild for new perl (test don't all pass, disabling them, seems
  it really does work)

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.44-2mdk
- fix arch
- rebuild for new auto{prov,req}

